#ifndef INIT_H
#define INIT_H
#include "deptree.h"

struct program_options
{
 unsigned int threads;
 bool help,dump;
 debug_level dl;
 const char* config;
};

int ParseConfigFile(const char* config, ExecType& tosave, ExecType& toprint, VarType& vars);
int ParseOptions(int argc, char** argv, struct program_options& options);
int RegisterBuiltinFunctions();
debug_level SetDebugLevel(debug_level dl=INTERNALREQUEST);

#endif
